7 Replies Latest reply on Sep 28, 2018 7:46 AM by jmroth

    esxcli --proxy not working in 6.5.0

    MichalMMac Novice

      I manage ESXi 6.5.0 Update 1 (Build 7967591) under free license.

      I would like to upgrade it to 6.7 (because better macOS client support). There is no .zip file patch yet.

      Hypervisor is in restricted network where all HTTP comunication must go through proxy 10.1.2.3:3128.

       

      First I disable firewall to be able to connect to port 3128. I verify this by running nc -vz 10.1.2.3 3128.

       

      When I run either of these commands:

      esxcli software sources profile list --depot https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-d
      epot-index.xml --proxy=http://10.1.2.3:3128
      
      esxcli software sources profile list --depot https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-d
      epot-index.xml --proxy=https://10.1.2.3:3128
      
      esxcli software sources profile list --depot https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-d
      epot-index.xml --proxy=10.1.2.3:3128
      

      I get:

       [MetadataDownloadError]
       Could not download from depot at https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml, skipping (('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found'))
              url = https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml
       Please refer to the log file for more details.
      

      I am able to use http_proxy enviroment varible to use `wget` to download files from the internet.

      Is there something wrong with my command or is --proxy switch broken in 6.5.0?

        • 1. Re: esxcli --proxy not working in 6.5.0
          vmrale Enthusiast

          You can run tail -f -n 30 /var/log/esxupdate.log and monitor what esxcli software sources profile list is doing.

           

          Regards

          • 2. Re: esxcli --proxy not working in 6.5.0
            MichalMMac Novice
            2018-06-12T07:54:12Z esxupdate: 796494: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetTimeout']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
            2018-06-12T07:54:12Z esxupdate: 796494: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetRetries']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
            2018-06-12T07:54:12Z esxupdate: 796494: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetRateLimit']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
            2018-06-12T07:54:12Z esxupdate: 796494: root: INFO: Command = sources.profile.list
            2018-06-12T07:54:12Z esxupdate: 796494: root: INFO: Options = {'oktoremove': False, 'nosigcheck': False, 'depot': ['https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml'], 'profile': None, 'proxy': 'http://10.1.2.3:3128', 'force': False, 'viburl': None, 'downgrade': None, 'nomaintmode': False, 'dryrun': False, 'level': None, 'nameid': None, 'updateonly': False, 'noliveinstall': False, 'pending': None}
            2018-06-12T07:54:13Z esxupdate: 796494: BootBankInstaller.pyc: INFO: Unrecognized value "title=Loading VMware ESXi" in boot.cfg
            2018-06-12T07:54:13Z esxupdate: 796494: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/bootOption', '-rp']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
            2018-06-12T07:54:13Z esxupdate: 796494: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/bootOption', '-ro']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
            2018-06-12T07:54:13Z esxupdate: 796494: HostImage: INFO: Installers initiated are {'live': <vmware.esximage.Installer.LiveImageInstaller.LiveImageInstaller object at 0x5e07d390>, 'locker': <vmware.esximage.Installer.LockerInstaller.LockerInstaller object at 0x5e22a390>, 'boot': <vmware.esximage.Installer.BootBankInstaller.BootBankInstaller object at 0x5e07d5c0>}
            2018-06-12T07:54:13Z esxupdate: 796494: DepotCollection: DEBUG: Downloading depot index.xml from https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml
            2018-06-12T07:54:13Z esxupdate: 796494: downloader: DEBUG: Downloading from https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml...
            2018-06-12T07:54:13Z esxupdate: 796494: downloader: ERROR: <urlopen error [Errno 111] Connection refused>
            2018-06-12T07:54:13Z esxupdate: 796494: DepotCollection: INFO: Could not download from depot at https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml, skipping (('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found'))
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: Traceback (most recent call last):
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1254, in do_open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1107, in request
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1152, in _send_request
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1103, in endheaders
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 934, in _send_output
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 877, in send
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1253, in connect
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 849, in connect
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 712, in create_connection
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 703, in create_connection
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: ConnectionRefusedError: [Errno 111] Connection refused
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: During handling of the above exception, another exception occurred:
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: Traceback (most recent call last):
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 180, in _getrealurl
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 168, in _urlopen
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 163, in urlopen
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 466, in open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 484, in _open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 444, in _call_chain
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1297, in https_open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1256, in do_open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: urllib.error.URLError: <urlopen error [Errno 111] Connection refused>
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: During handling of the above exception, another exception occurred:
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: Traceback (most recent call last):
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 191, in _connectDepots
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 302, in Open
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 211, in _openfromurl
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 183, in _getrealurl
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: vmware.esximage.Downloader.DownloaderError: ('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found')
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: During handling of the above exception, another exception occurred:
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: 
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: Traceback (most recent call last):
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 468, in <module>
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:     main()
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 459, in main
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:     ret = CMDTABLE[command](options)
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 260, in SourcesProfileListCmd
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:     t.ParseDepots(depoturls)
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 120, in ParseDepots
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 167, in ConnectDepots
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 199, in _connectDepots
            2018-06-12T07:54:13Z esxupdate: 796494: root: ERROR: vmware.esximage.Errors.MetadataDownloadError: ('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', "Could not download from depot at https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml, skipping (('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found'))")
            
            • 3. Re: esxcli --proxy not working in 6.5.0
              MichalMMac Novice

              bit different error for https

               

              
              2018-06-12T08:02:38Z esxupdate: 796799: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetTimeout']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
              2018-06-12T08:02:38Z esxupdate: 796799: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetRetries']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
              2018-06-12T08:02:38Z esxupdate: 796799: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/esxcfg-advcfg', '-q', '-g', '/UserVars/EsximageNetRateLimit']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
              2018-06-12T08:02:38Z esxupdate: 796799: root: INFO: Command = sources.profile.list
              2018-06-12T08:02:38Z esxupdate: 796799: root: INFO: Options = {'viburl': None, 'nosigcheck': False, 'depot': ['https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml'], 'pending': None, 'nomaintmode': False, 'profile': None, 'dryrun': False, 'force': False, 'noliveinstall': False, 'updateonly': False, 'nameid': None, 'oktoremove': False, 'downgrade': None, 'proxy': 'https://10.238.83.13:3128', 'level': None}
              2018-06-12T08:02:38Z esxupdate: 796799: BootBankInstaller.pyc: INFO: Unrecognized value "title=Loading VMware ESXi" in boot.cfg
              2018-06-12T08:02:38Z esxupdate: 796799: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/bootOption', '-rp']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
              2018-06-12T08:02:38Z esxupdate: 796799: vmware.runcommand: INFO: runcommand called with: args = '['/sbin/bootOption', '-ro']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
              2018-06-12T08:02:38Z esxupdate: 796799: HostImage: INFO: Installers initiated are {'live': <vmware.esximage.Installer.LiveImageInstaller.LiveImageInstaller object at 0x3002357390>, 'boot': <vmware.esximage.Installer.BootBankInstaller.BootBankInstaller object at 0x30023575c0>, 'locker': <vmware.esximage.Installer.LockerInstaller.LockerInstaller object at 0x3002504390>}
              2018-06-12T08:02:38Z esxupdate: 796799: DepotCollection: DEBUG: Downloading depot index.xml from https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml
              2018-06-12T08:02:38Z esxupdate: 796799: downloader: DEBUG: Downloading from https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml...
              2018-06-12T08:02:38Z esxupdate: 796799: downloader: ERROR: <urlopen error [Errno 113] No route to host>
              2018-06-12T08:02:38Z esxupdate: 796799: DepotCollection: INFO: Could not download from depot at https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml, skipping (('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found'))
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: Traceback (most recent call last):
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1254, in do_open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1107, in request
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1152, in _send_request
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1103, in endheaders
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 934, in _send_output
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 877, in send
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1253, in connect
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 849, in connect
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 712, in create_connection
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 703, in create_connection
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: OSError: [Errno 113] No route to host
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: During handling of the above exception, another exception occurred:
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: Traceback (most recent call last):
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 180, in _getrealurl
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 168, in _urlopen
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 163, in urlopen
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 466, in open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 484, in _open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 444, in _call_chain
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1297, in https_open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1256, in do_open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: urllib.error.URLError: <urlopen error [Errno 113] No route to host>
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: During handling of the above exception, another exception occurred:
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: Traceback (most recent call last):
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 191, in _connectDepots
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 302, in Open
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 211, in _openfromurl
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 183, in _getrealurl
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: vmware.esximage.Downloader.DownloaderError: ('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found')
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: During handling of the above exception, another exception occurred:
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: 
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: Traceback (most recent call last):
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 468, in <module>
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:     main()
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 459, in main
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:     ret = CMDTABLE[command](options)
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/usr/lib/vmware/esxcli-software", line 260, in SourcesProfileListCmd
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:     t.ParseDepots(depoturls)
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 120, in ParseDepots
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 167, in ConnectDepots
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR:   File "/build/mts/release/bora-7967591/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/DepotCollection.py", line 199, in _connectDepots
              2018-06-12T08:02:38Z esxupdate: 796799: root: ERROR: vmware.esximage.Errors.MetadataDownloadError: ('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', "Could not download from depot at https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml, skipping (('https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml', '', 'file not found'))")
              
              
              • 4. Re: esxcli --proxy not working in 6.5.0
                vmrale Enthusiast

                For me in both cases esxcli wants to connect using https. Maybe proxy You configured is not accepting https connections.

                 

                I checked. It should work with --proxy=http://IP_address:3128 setting.

                 

                You can use pktcap-uw from your host to view what is going on between vmk0 and IP:port of your proxy.

                • 5. Re: esxcli --proxy not working in 6.5.0
                  MichalMMac Novice

                  Thank you for the `pktcap-uw` tip.

                   

                  When I run command

                  esxcli software sources profile list --depot https://h
                  ostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml --proxy=https://1.2.3.4:3128

                   

                   

                  There is a single TCP SYN packet headed directly for Akamai (92.123.36.46). Nothing else.

                  pktcap-uw --vmk vmk1 -o <datastore-path>

                  Screen Shot 2018-06-20 at 09.31.02.png

                  It seems to me --proxy switch is ignored for some reason.

                  • 6. Re: esxcli --proxy not working in 6.5.0
                    vmrale Enthusiast

                    I had this kind of problems when host IP didn't had external IP address (outside of the firewall) and the proper NAT/PAT configuration.

                    • 7. Re: esxcli --proxy not working in 6.5.0
                      jmroth Novice

                      We have the same problem. Using ESXi 6.5 U2C (build 9298722)

                       

                      Did someone maybe make progress with this?

                       

                      We found the following scenarios

                       

                      1) Network witout name service (no DNS)

                      When we specify a proxy, it results in a name resolution error (which should not happen since the host itself has no DNS, but the proxy would be able to resolve!)

                       

                      2) Network with DNS

                      When we specify a proxy, it nevertheless tries to connect directly.

                       

                      I tried contacting support about this and I believe they don't even understand what a proxy is.